﻿$ErrorActionPreference = 'Stop'

$packageName = 'studio3t'
$fileType = 'exe'
$silentArgs = '-q'

[array] $key = Get-UninstallRegistryKey -SoftwareName 'Studio 3T'

if ($key.Count -eq 1) {
	$key | ForEach-Object {
		$file = $_.UninstallString

		Uninstall-ChocolateyPackage -PackageName $packageName `
		                            -FileType $fileType `
		                            -SilentArgs $silentArgs `
		                            -File $file
	}
} elseif ($key.Count -eq 0) {
	Write-Warning "$packageName has already been uninstalled by other means."
} elseif ($key.Count -gt 1) {
	Write-Warning "$($key.Count) matches found!"
	Write-Warning 'To prevent accidental data loss, no programs will be uninstalled.'
	Write-Warning 'Please alert package maintainer the following keys were matched:'
	$key | ForEach-Object { Write-Warning "- $($_.DisplayName)" }
}
